BeanContextServiceProviderBeanInfo (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.beans.beancontext, interface: BeanContextServiceProviderBeanInfo
Keywords: java.beans.beancontext.BeanContextServiceProviderBeanInfo interface

# Interface BeanContextServiceProviderBeanInfo

All Superinterfaces:
  `BeanInfo`

@Deprecated(since="23", forRemoval=true) public interface BeanContextServiceProviderBeanInfo extends BeanInfo
Deprecated, for removal: This API element is subject to removal in a future version.
A BeanContextServiceProvider implementor who wishes to provide explicit information about the services their bean may provide shall implement a BeanInfo class that implements this BeanInfo subinterface and provides explicit information about the methods, properties, events, etc, of their services.

- ## Field Summary

  ### Fields declared in interface BeanInfo

  `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`
  Modifier and Type
  Field
  Description
  `static final int`
  `ICON_COLOR_16x16`
  Constant to indicate a 16 x 16 color icon.
  `static final int`
  `ICON_COLOR_32x32`
  Constant to indicate a 32 x 32 color icon.
  `static final int`
  `ICON_MONO_16x16`
  Constant to indicate a 16 x 16 monochrome icon.
  `static final int`
  `ICON_MONO_32x32`
  Constant to indicate a 32 x 32 monochrome icon.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanInfo[]`
  `getServicesBeanInfo()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets a `BeanInfo` array, one for each service class or interface statically available from this ServiceProvider.

  ### Methods declared in interface BeanInfo

  `getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`
  Modifier and Type
  Method
  Description
  `BeanInfo[]`
  `getAdditionalBeanInfo()`
  This method enables the current `BeanInfo` object to return an arbitrary collection of other `BeanInfo` objects that provide additional information about the current bean.
  `BeanDescriptor`
  `getBeanDescriptor()`
  Returns the bean descriptor that provides overall information about the bean, such as its display name or its customizer.
  `int`
  `getDefaultEventIndex()`
  A bean may have a default event typically applied when this bean is used.
  `int`
  `getDefaultPropertyIndex()`
  A bean may have a default property commonly updated when this bean is customized.
  `EventSetDescriptor[]`
  `getEventSetDescriptors()`
  Returns the event descriptors of the bean that define the types of events fired by this bean.
  `Image`
  `getIcon(int iconKind)`
  Returns an image that can be used to represent the bean in toolboxes or toolbars.
  `MethodDescriptor[]`
  `getMethodDescriptors()`
  Returns the method descriptors of the bean that define the externally visible methods supported by this bean.
  `PropertyDescriptor[]`
  `getPropertyDescriptors()`
  Returns descriptors for all properties of the bean.

- ## Method Details

  - ### getServicesBeanInfo

    BeanInfo[] getServicesBeanInfo()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets a `BeanInfo` array, one for each service class or interface statically available from this ServiceProvider.
    Returns:
      the `BeanInfo` array